PDA

View Full Version : [ubuntu] Ubuntu 12.04 LTS and Samba4 full release



karolo
December 13th, 2012, 12:52 PM
Hi,

Wondering does anyone know if Ubuntu 12.04 LTS server will get the full release version of Samba4 server in the repository now that the Samba team have released it?

I see that it currently has Samba4 alpha18 which is a bit buggy and missing a lot of elements.

Thanks in advance

ikt
December 15th, 2012, 02:25 PM
Also interested in this.

Merrattic
December 15th, 2012, 09:39 PM
If you really want it:

http://wiki.samba.org/index.php/Samba4/HOWTO

ikt
December 15th, 2012, 09:48 PM
If you really want it:

http://wiki.samba.org/index.php/Samba4/HOWTO

I really want it, but I really really don't want to compile :p

Waiting for it to be packaged and included in Ubuntu.

tkman26
December 19th, 2012, 07:21 PM
Unless I have done something wrong, even when you compile the latest code the version still ends up being
root@30://usr/local/samba/sbin# samba -V
Version 4.0.0alpha18
I suspect the alpha18 is the latest.

ikt
December 20th, 2012, 06:47 AM
Unless I have done something wrong, even when you compile the latest code the version still ends up being
root@30://usr/local/samba/sbin# samba -V
Version 4.0.0alpha18
I suspect the alpha18 is the latest.

I don't think so.

http://wiki.samba.org/index.php/Samba4#Previous_Releases

They celebrated 4.0 the other day

http://www.samba.org/samba/history/samba-4.0.0.html

"This is is the first stable release of Samba 4.0."

I assume a stable release isn't an alpha.

friedmar
December 21st, 2012, 01:25 PM
I to would like to have samba native included in 12.04 not the very old alpha18.

As I workaround I use

deb http://ppa.launchpad.net/kernevil/samba4/ubuntu precise main
deb-src http://ppa.launchpad.net/kernevil/samba4/ubuntu precise main

Works great but there is a problem with winbind/getent etc.

Garyx
January 2nd, 2013, 07:52 PM
Im also waiting on the official repo's to catch up. Anyone know when they will have the stable 4.0 up and ready.

joeprice
January 6th, 2013, 05:34 PM
I am also interested when I will be able to get Samba 4 full release in a package. Will it be made available in 12.04 LTS? or will I need to use 12.10?

Thanks for any replies

friedmar
January 7th, 2013, 04:23 PM
Hi UBUNTU Officials,

could you please answer our Question? LTS means for me also to update alpha or beta packages if they went RTM. Samb4 is important! I do not want to install 13.04 to get it!

friedmar
January 7th, 2013, 04:24 PM
I am also interested when I will be able to get Samba 4 full release in a package. Will it be made available in 12.04 LTS? or will I need to use 12.10?

Thanks for any replies
My guess is 13.04!

Garyx
January 10th, 2013, 07:45 PM
Anyone checked the reps for 13.04 yet if they have samba 4 final?

Cheesemill
January 10th, 2013, 07:48 PM
You can check for yourself, but it appears so.

http://packages.ubuntu.com/search?keywords=samba4&searchon=names&exact=1&suite=all&section=all

gavfranc
January 16th, 2013, 07:21 PM
Well I have asked that question via Ubuntu paid support service.
Disappointingly their response was not good.

Read below a transcript...

Dear Gavin Francis,

Your case # ********: Authentification has been updated.

Comment added:
Samba4 (stable) is not currently planned to be made available for the 12.04 LTS and I don't expect that to change. I cannot assist with Samab4 as it is not supported by Canonical. It is important for me to point out that most Samba4 setups still used OpenLDAP and Kerberos.

We do have a local partner that could help evaluate your options and set up your systems.
Fleten.net. Kjetil Fleten, CEO. kjetil@fleten.net
Fleten is both an Ubuntu partner and a Zentyal partner. Zentyal is an Ubuntu based (and supported through them) system that creates an easy to use small business server (with roaming profiles, authentication, etc).

Please let me know how you choose to proceed.

Please click on the link below to view this case on the online web portal:
[url]https://login.ubuntu.com/+saml/init/salesforce/***************

Should you have any questions, additional comments or information, or attachments related to this case, we ask you to please add them via the link above.

Thank you,

Canonical Support & Services

.............................

Well thats just great, not only have we been waiting for this for 10 years but now they are not going to release it on lts very short sited.
To add insult to injury, their suggested partner is in Denmark and I live in Norway. Doh!

joeprice
January 28th, 2013, 10:06 AM
Gavfranc,

Thanks for posting that information, at least we now know what our options are. I will have a look at Zentyal.

Joe Price

erikf
February 6th, 2013, 03:21 PM
Well I have asked that question via Ubuntu paid support service.
Disappointingly their response was not good.

Read below a transcript...

Dear Gavin Francis,

Your case # ********: Authentification has been updated.

Comment added:
Samba4 (stable) is not currently planned to be made available for the 12.04 LTS and I don't expect that to change. I cannot assist with Samab4 as it is not supported by Canonical. It is important for me to point out that most Samba4 setups still used OpenLDAP and Kerberos.

We do have a local partner that could help evaluate your options and set up your systems.
Fleten.net. Kjetil Fleten, CEO. kjetil@fleten.net
Fleten is both an Ubuntu partner and a Zentyal partner. Zentyal is an Ubuntu based (and supported through them) system that creates an easy to use small business server (with roaming profiles, authentication, etc).

Please let me know how you choose to proceed.

Please click on the link below to view this case on the online web portal:
[url]https://login.ubuntu.com/+saml/init/salesforce/***************

Should you have any questions, additional comments or information, or attachments related to this case, we ask you to please add them via the link above.

Thank you,

Canonical Support & Services

.............................

Well thats just great, not only have we been waiting for this for 10 years but now they are not going to release it on lts very short sited.
To add insult to injury, their suggested partner is in Denmark and I live in Norway. Doh!

This is the worst response ever. Don't they realize that the Samba4 final package might be the most important package for Ubuntu Server that has come out in a long time!

Still running Samba4 Alpha18 but desperately want to upgrade to final!

jolae
February 26th, 2013, 09:21 PM
https://launchpad.net/~wagungs/+archive/samba4

Have you tried this unofficial repository?

friedmar
April 22nd, 2013, 08:04 PM
It looks like Ubuntu is ignoring Samba4! Actual is samba4 4.0.5. 13.04 is as of today still on 4.0.0 from december 2012!!!

Roswebnet
April 24th, 2013, 12:41 AM
Yep. I get bad feels about it. With samba4.0.5 Ubuntu should looks like a "normal" windows server (2003). But as far as i know there are still many complications about samba4. I have one :)

CMDRSweeper
April 29th, 2013, 01:41 AM
I feel the same way, no proper Samba 4 Repos for autoupdating.
So I guess for now I am stuck compiling my own Samba 4 which can be a pain in the long run :(

Roswebnet
May 16th, 2013, 09:38 AM
With this tutorial:
http://iabsis.com/EN/article/35-2/Samba4-installation
Samba 4.0.1 development version is now available on Ubuntu 12.04.2.